Fetch Organisation Bots Api
curl --request GET \
--url https://services.meetchase.ai/api/v1/bots \
--header 'X-API-Key: <api-key>'import requests
url = "https://services.meetchase.ai/api/v1/bots"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://services.meetchase.ai/api/v1/bots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"auth_data": [
{
"auth_type": "email",
"id": 1,
"is_valid": true,
"provider": "google"
},
{
"auth_type": "linkedin",
"id": 2,
"is_valid": false,
"provider": "linkedin"
}
],
"cname_record": {
"alias": "example.com",
"id": 1,
"valid_record": true,
"valid_ssl": true
},
"custom_data": {
"age": 31,
"city": "London",
"country": "United Kingdom",
"role": "Sales Representative"
},
"dns_validation": {
"mx": true,
"spf": false
},
"email": "robo@example.com",
"first_name": "Robo",
"id": 1,
"in_pool": false,
"initial_volume": 5,
"last_name": "Prime",
"mailivery_status": "PENDING_CONNECTION",
"max_daily_limit": 30,
"shown_onboarding": true,
"source": "INBOXKIT",
"status": "ACTIVE",
"warmup_increment": 3,
"warmup_started_at": "2025-08-08T14:30:22.005027"
}
]AI SDRs
Fetch AI SDRs
Retrieves a list of Bots associated with a specific organisation.
Path Parameters
organisation_id(int): The ID of the organisation for which to retrieve the Bots.
Headers
X-API-Key: API key for user authentication.
Response
- Returns a list of
BotExternalobjects, each representing a Bot associated with the organisation. This includes the Bot’s ID, email, first name, last name, and any custom data associated with the Bot.
Errors
404 Not Found: If the specifiedorganisation_iddoes not exist.403 Forbidden: If the user does not have the necessary permissions to perform this action or is not a member of the specified organisation.
GET
/
api
/
v1
/
bots
Fetch Organisation Bots Api
Authorizations
Key used to authenticate user API requests.
Response
200 - application/json
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"alias": "example.com",
"id": 1,
"valid_record": true,
"valid_ssl": true
}
Available options:
PENDING_CONNECTION, PAUSED, ACTIVE, CONNECTION_ERROR Show child attributes
Show child attributes
Example:
{
"dns_validation": { "mx": true, "spf": false }
}
Available options:
ACTIVE, CANCELLED, CONFIGURING, CONNECTION_PENDING, COOLING_OFF, INACTIVE, DELETED, PROVISIONING, PROVISIONING_FAILED, SCHEDULED_FOR_CANCELLATION, SUSPENDED, PAYMENT_FAILED Available options:
INBOXKIT, CUSTOMER Maximum string length:
63Maximum string length:
63